cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/logic \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"condition"}'{
"logic": {
"config": {
"conditions": {}
},
"id": "<string>",
"name": "<string>",
"description": "<string>",
"testResult": {
"createdTime": "<string>",
"spent": 123,
"inputRaw": null,
"outputRaw": null,
"inputVariables": {},
"outputVariables": {},
"errorMsg": "<string>"
},
"outputVariables": {},
"inputVariables": {},
"createdTime": "<string>",
"lastModifiedTime": "<string>"
},
"controls": [
{
"config": {
"sourceNodeId": "<string>"
},
"id": "<string>",
"name": "<string>",
"createdTime": "<string>",
"lastModifiedTime": "<string>"
}
]
}automation
Post base workflow logic
Create a automation workflow logic
POST
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
logic
cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/logic \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"condition"}'{
"logic": {
"config": {
"conditions": {}
},
"id": "<string>",
"name": "<string>",
"description": "<string>",
"testResult": {
"createdTime": "<string>",
"spent": 123,
"inputRaw": null,
"outputRaw": null,
"inputVariables": {},
"outputVariables": {},
"errorMsg": "<string>"
},
"outputVariables": {},
"inputVariables": {},
"createdTime": "<string>",
"lastModifiedTime": "<string>"
},
"controls": [
{
"config": {
"sourceNodeId": "<string>"
},
"id": "<string>",
"name": "<string>",
"createdTime": "<string>",
"lastModifiedTime": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

